%define _requires_exceptions pear(/usr/share/php/adodb/adodb.inc.php)

Summary:    Web Based Project Management Tool
Name:       dotproject
Version:    2.1.3
Release:    %mkrel 1
License:    BSD
Group:      System/Servers
URL:        http://www.dotproject.net
Source0:    http://prdownloads.sourceforge.net/dotproject/%{name}_2_1_3.zip
Patch1:     dotproject-2.1.3-external-pear.patch
Patch2:     dotproject-2.1.3-external-adodb.patch
Patch3:     dotproject-external_smarty.diff
Patch4:     dotproject-external_nusoap.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:   apache-mod_php
Requires:   php-mysql
Requires:   php-gd
Requires:   php-sqlite
Requires:   php-ldap
Requires:   php-adodb
Requires:   php-jpgraph
Requires:   php-smarty
Requires:   php-mbstring
Requires:   php-pear-Date
Requires:   nusoap
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
DotProject is a Web-based project management framework that includes modules
for companies, projects, tasks (with Gantt charts), forums, files, a
calendar, contacts, tickets/helpdesk, multi-language support, user/module
permissions, and themes. It is translated into 17 languages and has a modular
design that allows extra modules (such as time sheets and inventory) to be
added in easily.

%prep
%setup -q -n BigBlueHat-dotproject-527fa57
find . -name .cvsignore | xargs rm -f
find . -name .htaccess | xargs rm -f

pushd dotproject

# don't bundle these
rm -rf lib/PEAR
rm -rf lib/adodb
rm -rf lib/jpgraph
rm -rf lib/smarty
rm -f lib/phpgacl/soap/nusoap.php

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%install
rm -rf %{buildroot}

pushd dotproject

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 *.php %{buildroot}%{_datadir}/%{name}
for dir in classes db functions images includes install js lib locales misc modules style; do
    cp -pr $dir %{buildroot}%{_datadir}/%{name}
done

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
cp -pr files/* %{buildroot}%{_localstatedir}/lib/%{name}
pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_localstatedir}/lib/%{name} files
popd

# fix config file location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/includes/config-dist.php \
    %{buildroot}%{_sysconfdir}/%{name}/config.php
pushd %{buildroot}%{_datadir}/%{name}/includes
ln -s ../../../..%{_sysconfdir}/%{name}/config.php .
popd


install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/dotproject.conf << EOF
Alias /%{name}/files %{_localstatedir}/lib/%{name}
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Order allow,deny
    Allow from all

    php_admin_value memory_limit    64M
    php_admin_value post_max_size   17M
    php_admin_value upload_max_filesize 16M
    php_admin_value max_execution_time 120
</Directory>


<Directory %{_datadir}/%{name}/includes>
    Order deny,allow
    Deny from all
</Directory>

<Directory %{_datadir}/%{name}/includes>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_webappconfdir}/%{name}.conf"
</Directory>

<Directory %{_localstatedir}/lib/%{name}/files>
    Order deny,allow
    Deny from all
</Directory>

<Directory %{_localstatedir}/lib/%{name}/files/temp>
    Order allow,deny
    Allow from all
</Directory>
EOF


%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc dotproject/ChangeLog
%doc dotproject/COPYING dotproject/LICENSE dotproject/README
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}


%changelog
* Tue Jun 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2010.0
+ Revision: 548076
- new version
- cleanup
- rise from the deads
- unmaintained webapp cleaning

* Mon Oct 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-3mdv2010.0
+ Revision: 454257
- rediff patch 0 for fuzyness
- fix dependencies
- don't duplicate spec-helper job

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Aug 12 2008 Jérôme Soyer <saispo@mandriva.org> 2.1.2-1mdv2009.0
+ Revision: 271075
- New release

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.1.1-3mdv2009.0
+ Revision: 244519
- rebuild

* Tue Jan 08 2008 Emmanuel Andry <eandry@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 146813
- New version
- drop patches 1,2 and 5

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.0.4-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 09 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.4-2mdv2007.1
+ Revision: 140255
- requires php5-jpgraph is now php-jpgraph

* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-1mdv2007.1
+ Revision: 89525
- Import dotproject

* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-1mdv2007.1
- 2.0.4 (security release)
- rediffed patches; P2

* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-2mdk
- add the available translations

* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-1mdk
- 2.0.2
- rediffed patches; P0,P1,P2,P3
- added P4 (nusoap)
- added P5 (mysql-5.0.x)

* Wed Apr 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-0.20060411.1mdk
- use a recent snap (20060411)

* Tue Apr 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-1mdk
- 2.0.1
- drop plugins that now are bundled
- update plugins

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 1.0.2-2mdk
- rebuild

* Tue May 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- initial package
- added P0 & P1

